SelectionImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Class SelectionImpl<X>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<X>

All Implemented Interfaces:
  Serializable, Selection<X>, TupleElement<X>, ParameterContainer, SelectionImplementor<X>, TupleElementImplementor<X>

Direct Known Subclasses:
  CompoundSelectionImpl, ExpressionImpl

    public abstract class SelectionImpl<X>

extends AbstractTupleElement<X>
implements SelectionImplementor<X>, ParameterContainer, Serializable

The Hibernate implementation of the JPA `Selection` contract.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`SelectionImpl(CriteriaBuilderImpl criteriaBuilder, Class<X> javaType)`

Method Summary
`Selection<X>` | `alias(String alias)`
`List<Selection<?>>` | `getCompoundSelectionItems()`
`List<ValueHandlerFactory.ValueHandler>` | `getValueHandlers()`
`boolean` | `isCompoundSelection()`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`registerParameters`

Constructor Detail

### SelectionImpl

    public SelectionImpl(CriteriaBuilderImpl criteriaBuilder,
                         Class<X> javaType)

Method Detail

### alias

    public Selection<X> alias(String alias)

  Specified by:
    `alias` in interface `Selection<X>`

### isCompoundSelection

    public boolean isCompoundSelection()

  Specified by:
    `isCompoundSelection` in interface `Selection<X>`

### getValueHandlers

    public List<ValueHandlerFactory.ValueHandler> getValueHandlers()

  Specified by:
    `getValueHandlers` in interface `SelectionImplementor<X>`

### getCompoundSelectionItems

    public List<Selection<?>> getCompoundSelectionItems()

  Specified by:
    `getCompoundSelectionItems` in interface `Selection<X>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.